"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAddFirstCreatorConstraintToEscrowConstraintModelInstruction = exports.addFirstCreatorConstraintToEscrowConstraintModelInstructionDiscriminator = exports.AddFirstCreatorConstraintToEscrowConstraintModelStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const AddFirstCreatorConstraintToEscrowConstraintModelArgs_1 = require("../types/AddFirstCreatorConstraintToEscrowConstraintModelArgs");
exports.AddFirstCreatorConstraintToEscrowConstraintModelStruct = new beet.FixableBeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    [
        'addFirstCreatorConstraintToEscrowConstraintModelArgs',
        AddFirstCreatorConstraintToEscrowConstraintModelArgs_1.addFirstCreatorConstraintToEscrowConstraintModelArgsBeet,
    ],
], 'AddFirstCreatorConstraintToEscrowConstraintModelInstructionArgs');
exports.addFirstCreatorConstraintToEscrowConstraintModelInstructionDiscriminator = 10;
function createAddFirstCreatorConstraintToEscrowConstraintModelInstruction(accounts, args, programId = new web3.PublicKey('trifMWutwBxkSuatmpPVnEe7NoE3BJKgjVi8sSyoXWX')) {
    var _a;
    const [data] = exports.AddFirstCreatorConstraintToEscrowConstraintModelStruct.serialize({
        instructionDiscriminator: exports.addFirstCreatorConstraintToEscrowConstraintModelInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.constraintModel,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.payer,
            isWritable: true,
            isSigner: true,
        },
        {
            pubkey: accounts.updateAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: accounts.firstCreator,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.systemProgram) !== null && _a !== void 0 ? _a : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.sysvarInstructions,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createAddFirstCreatorConstraintToEscrowConstraintModelInstruction = createAddFirstCreatorConstraintToEscrowConstraintModelInstruction;
//# sourceMappingURL=AddFirstCreatorConstraintToEscrowConstraintModel.js.map