import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { AddTokensConstraintToEscrowConstraintModelArgs } from '../types/AddTokensConstraintToEscrowConstraintModelArgs';
export type AddTokensConstraintToEscrowConstraintModelInstructionArgs = {
    addTokensConstraintToEscrowConstraintModelArgs: AddTokensConstraintToEscrowConstraintModelArgs;
};
export declare const AddTokensConstraintToEscrowConstraintModelStruct: beet.FixableBeetArgsStruct<AddTokensConstraintToEscrowConstraintModelInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type AddTokensConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const addTokensConstraintToEscrowConstraintModelInstructionDiscriminator = 6;
export declare function createAddTokensConstraintToEscrowConstraintModelInstruction(accounts: AddTokensConstraintToEscrowConstraintModelInstructionAccounts, args: AddTokensConstraintToEscrowConstraintModelInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
