"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAddTokensConstraintToEscrowConstraintModelInstruction = exports.addTokensConstraintToEscrowConstraintModelInstructionDiscriminator = exports.AddTokensConstraintToEscrowConstraintModelStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const AddTokensConstraintToEscrowConstraintModelArgs_1 = require("../types/AddTokensConstraintToEscrowConstraintModelArgs");
exports.AddTokensConstraintToEscrowConstraintModelStruct = new beet.FixableBeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    [
        'addTokensConstraintToEscrowConstraintModelArgs',
        AddTokensConstraintToEscrowConstraintModelArgs_1.addTokensConstraintToEscrowConstraintModelArgsBeet,
    ],
], 'AddTokensConstraintToEscrowConstraintModelInstructionArgs');
exports.addTokensConstraintToEscrowConstraintModelInstructionDiscriminator = 6;
function createAddTokensConstraintToEscrowConstraintModelInstruction(accounts, args, programId = new web3.PublicKey('trifMWutwBxkSuatmpPVnEe7NoE3BJKgjVi8sSyoXWX')) {
    var _a;
    const [data] = exports.AddTokensConstraintToEscrowConstraintModelStruct.serialize({
        instructionDiscriminator: exports.addTokensConstraintToEscrowConstraintModelInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.constraintModel,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.payer,
            isWritable: true,
            isSigner: true,
        },
        {
            pubkey: accounts.updateAuthority,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: (_a = accounts.systemProgram) !== null && _a !== void 0 ? _a : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.sysvarInstructions,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createAddTokensConstraintToEscrowConstraintModelInstruction = createAddTokensConstraintToEscrowConstraintModelInstruction;
//# sourceMappingURL=AddTokensConstraintToEscrowConstraintModel.js.map