import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { RemoveConstraintFromEscrowConstraintModelArgs } from '../types/RemoveConstraintFromEscrowConstraintModelArgs';
export type RemoveConstraintFromEscrowConstraintModelInstructionArgs = {
    removeConstraintFromEscrowConstraintModelArgs: RemoveConstraintFromEscrowConstraintModelArgs;
};
export declare const RemoveConstraintFromEscrowConstraintModelStruct: beet.FixableBeetArgsStruct<RemoveConstraintFromEscrowConstraintModelInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type RemoveConstraintFromEscrowConstraintModelInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const removeConstraintFromEscrowConstraintModelInstructionDiscriminator = 7;
export declare function createRemoveConstraintFromEscrowConstraintModelInstruction(accounts: RemoveConstraintFromEscrowConstraintModelInstructionAccounts, args: RemoveConstraintFromEscrowConstraintModelInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
