"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTransferInInstruction = exports.transferInInstructionDiscriminator = exports.TransferInStruct = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const TransferInArgs_1 = require("../types/TransferInArgs");
exports.TransferInStruct = new beet.FixableBeetArgsStruct([
    ['instructionDiscriminator', beet.u8],
    ['transferInArgs', TransferInArgs_1.transferInArgsBeet],
], 'TransferInInstructionArgs');
exports.transferInInstructionDiscriminator = 2;
function createTransferInInstruction(accounts, args, programId = new web3.PublicKey('trifMWutwBxkSuatmpPVnEe7NoE3BJKgjVi8sSyoXWX')) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k;
    const [data] = exports.TransferInStruct.serialize({
        instructionDiscriminator: exports.transferInInstructionDiscriminator,
        ...args,
    });
    const keys = [
        {
            pubkey: accounts.trifle,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.trifleAuthority,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.payer,
            isWritable: true,
            isSigner: true,
        },
        {
            pubkey: accounts.constraintModel,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: accounts.escrow,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_a = accounts.escrowMint) !== null && _a !== void 0 ? _a : programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: (_b = accounts.escrowToken) !== null && _b !== void 0 ? _b : programId,
            isWritable: accounts.escrowToken != null,
            isSigner: false,
        },
        {
            pubkey: (_c = accounts.escrowEdition) !== null && _c !== void 0 ? _c : programId,
            isWritable: accounts.escrowEdition != null,
            isSigner: false,
        },
        {
            pubkey: (_d = accounts.attributeMint) !== null && _d !== void 0 ? _d : programId,
            isWritable: accounts.attributeMint != null,
            isSigner: false,
        },
        {
            pubkey: (_e = accounts.attributeSrcToken) !== null && _e !== void 0 ? _e : programId,
            isWritable: accounts.attributeSrcToken != null,
            isSigner: false,
        },
        {
            pubkey: (_f = accounts.attributeDstToken) !== null && _f !== void 0 ? _f : programId,
            isWritable: accounts.attributeDstToken != null,
            isSigner: false,
        },
        {
            pubkey: (_g = accounts.attributeMetadata) !== null && _g !== void 0 ? _g : programId,
            isWritable: accounts.attributeMetadata != null,
            isSigner: false,
        },
        {
            pubkey: (_h = accounts.attributeEdition) !== null && _h !== void 0 ? _h : programId,
            isWritable: accounts.attributeEdition != null,
            isSigner: false,
        },
        {
            pubkey: (_j = accounts.attributeCollectionMetadata) !== null && _j !== void 0 ? _j : programId,
            isWritable: accounts.attributeCollectionMetadata != null,
            isSigner: false,
        },
        {
            pubkey: (_k = accounts.systemProgram) !== null && _k !== void 0 ? _k : web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.splToken,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.splAssociatedTokenAccount,
            isWritable: false,
            isSigner: false,
        },
        {
            pubkey: accounts.tokenMetadataProgram,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId,
        keys,
        data,
    });
    return ix;
}
exports.createTransferInInstruction = createTransferInInstruction;
//# sourceMappingURL=TransferIn.js.map