import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { AddCollectionConstraintToEscrowConstraintModelArgs } from '../types/AddCollectionConstraintToEscrowConstraintModelArgs';
export type AddCollectionConstraintToEscrowConstraintModelInstructionArgs = {
    addCollectionConstraintToEscrowConstraintModelArgs: AddCollectionConstraintToEscrowConstraintModelArgs;
};
export declare const AddCollectionConstraintToEscrowConstraintModelStruct: beet.FixableBeetArgsStruct<AddCollectionConstraintToEscrowConstraintModelInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type AddCollectionConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMintMetadata: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const addCollectionConstraintToEscrowConstraintModelInstructionDiscriminator = 5;
export declare function createAddCollectionConstraintToEscrowConstraintModelInstruction(accounts: AddCollectionConstraintToEscrowConstraintModelInstructionAccounts, args: AddCollectionConstraintToEscrowConstraintModelInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
