import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { AddFirstCreatorConstraintToEscrowConstraintModelArgs } from '../types/AddFirstCreatorConstraintToEscrowConstraintModelArgs';
export type AddFirstCreatorConstraintToEscrowConstraintModelInstructionArgs = {
    addFirstCreatorConstraintToEscrowConstraintModelArgs: AddFirstCreatorConstraintToEscrowConstraintModelArgs;
};
export declare const AddFirstCreatorConstraintToEscrowConstraintModelStruct: beet.FixableBeetArgsStruct<AddFirstCreatorConstraintToEscrowConstraintModelInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type AddFirstCreatorConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    firstCreator: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const addFirstCreatorConstraintToEscrowConstraintModelInstructionDiscriminator = 10;
export declare function createAddFirstCreatorConstraintToEscrowConstraintModelInstruction(accounts: AddFirstCreatorConstraintToEscrowConstraintModelInstructionAccounts, args: AddFirstCreatorConstraintToEscrowConstraintModelInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
