import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { AddNoneConstraintToEscrowConstraintModelArgs } from '../types/AddNoneConstraintToEscrowConstraintModelArgs';
export type AddNoneConstraintToEscrowConstraintModelInstructionArgs = {
    addNoneConstraintToEscrowConstraintModelArgs: AddNoneConstraintToEscrowConstraintModelArgs;
};
export declare const AddNoneConstraintToEscrowConstraintModelStruct: beet.FixableBeetArgsStruct<AddNoneConstraintToEscrowConstraintModelInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type AddNoneConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const addNoneConstraintToEscrowConstraintModelInstructionDiscriminator = 4;
export declare function createAddNoneConstraintToEscrowConstraintModelInstruction(accounts: AddNoneConstraintToEscrowConstraintModelInstructionAccounts, args: AddNoneConstraintToEscrowConstraintModelInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
