import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const CreateTrifleAccountStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export type CreateTrifleAccountInstructionAccounts = {
    escrow: web3.PublicKey;
    metadata: web3.PublicKey;
    mint: web3.PublicKey;
    tokenAccount: web3.PublicKey;
    edition: web3.PublicKey;
    trifleAccount: web3.PublicKey;
    trifleAuthority: web3.PublicKey;
    constraintModel: web3.PublicKey;
    payer: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
};
export declare const createTrifleAccountInstructionDiscriminator = 1;
export declare function createCreateTrifleAccountInstruction(accounts: CreateTrifleAccountInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
